<template>
  <el-container class="main-container">
    <Sidebar :menu="menu" />
    <NuxtPage />
  </el-container>
</template>

<script>
import Sidebar from '@/components/Sidebar'
import SIDEBAR from '@/const/sidebar'
import _ from 'lodash'

export default {
  components: [
    "Sidebar"
  ],
  data() {
    return {
      menu: _.sortBy(SIDEBAR.MENU, (m) => m.index)
    }
  }
}
</script>

<style>
.main-container {
  height: 100%;
  border: 1px solid #eee;
}

.el-row {
  padding: 10px;
}
</style>